<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBObjectProtocol documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBObjectProtocol">IBObjectProtocol documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the IBObjectProtocol
        protocol
      </a></h1>
    <h2><a name="protocol$(IBObjectProtocol)">IBObjectProtocol</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBObjectProtocol.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)+canSubstituteForClass$">+canSubstituteForClass:</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-awakeFromDocument$">-awakeFromDocument:</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-classInspectorClassName">-classInspectorClassName</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-connectInspectorClassName">-connectInspectorClassName</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-editorClassName">-editorClassName</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-helpInspectorClassName">-helpInspectorClassName</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-ibIncompatibleProperties">-ibIncompatibleProperties</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-imageForViewer">-imageForViewer</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-inspectorClassName">-inspectorClassName</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-nibLabel$">-nibLabel:</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-objectNameForInspectorTitle">-objectNameForInspectorTitle</a></li>
      <li><a rel="gsdoc" href="IBObjectProtocol.html#method$(IBObjectProtocol)-sizeInspectorClassName">-sizeInspectorClassName</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(IBObjectProtocol)+canSubstituteForClass$">canSubstituteForClass:&nbsp;</a></h3>
    + (BOOL) <b>canSubstituteForClass:</b> (Class)origClass;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if receiver can be
            displayed in the custom custom class inspector as
            a potential class which can be switched to by the
            receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-awakeFromDocument$">awakeFromDocument:&nbsp;</a></h3>
    - (void) <b>awakeFromDocument:</b> (id<<a rel="gsdoc" href="IBDocuments.html#protocol$(IBDocuments)">IBDocuments</a>>)doc;<br />
    <div class="desc">
      
            Called immediate after loading the document into the
            interface editor application.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-classInspectorClassName">classInspectorClassName&nbsp;</a></h3>
    - (NSString*) <b>classInspectorClassName</b>;<br />
    <div class="desc">
      
            Name of class inspector.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-connectInspectorClassName">connectInspectorClassName&nbsp;</a></h3>
    - (NSString*) <b>connectInspectorClassName</b>;<br />
    <div class="desc">
      
            Name of connection inspector class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-editorClassName">editorClassName&nbsp;</a></h3>
    - (NSString*) <b>editorClassName</b>;<br />
    <div class="desc">
      
            Name of the editor for the receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-helpInspectorClassName">helpInspectorClassName&nbsp;</a></h3>
    - (NSString*) <b>helpInspectorClassName</b>;<br />
    <div class="desc">
      
            Name of help inspector.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-ibIncompatibleProperties">ibIncompatibleProperties&nbsp;</a></h3>
    - (NSArray*) <b>ibIncompatibleProperties</b>;<br />
    <div class="desc">
      
            List of properties not compatible with interface app.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-imageForViewer">imageForViewer&nbsp;</a></h3>
    - (NSImage*) <b>imageForViewer</b>;<br />
    <div class="desc">
      
            Returns the NSImage to be used to represent an
            object of the receiver&apos;s class in the editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-inspectorClassName">inspectorClassName&nbsp;</a></h3>
    - (NSString*) <b>inspectorClassName</b>;<br />
    <div class="desc">
      
            Name of attributes inspector class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-nibLabel$">nibLabel:&nbsp;</a></h3>
    - (NSString*) <b>nibLabel:</b> (NSString*)objectName;<br />
    <div class="desc">
      
            Label for the receiver in the model.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-objectNameForInspectorTitle">objectNameForInspectorTitle&nbsp;</a></h3>
    - (NSString*) <b>objectNameForInspectorTitle</b>;<br />
    <div class="desc">
      
            Title to display in the inspector.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBObjectProtocol)-sizeInspectorClassName">sizeInspectorClassName&nbsp;</a></h3>
    - (NSString*) <b>sizeInspectorClassName</b>;<br />
    <div class="desc">
      
            Name of size inspector.
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
